Bug 1471751 - Bell rate limit
Bell rate limit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vte291 (Show other bugs)
26
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 07:51 EDT by Veske
Modified: 2018-05-03 11:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-03 11:53:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 790815 None None None 2017-11-27 09:25 EST

  None (edit)
Description Veske 2017-07-17 07:51:46 EDT
Description of problem:

GNOME Terminal makes very loud end of file sound when scrolling with a mouse wheel.

Version-Release number of selected component (if applicable):
3.24.2

How reproducible:
I only have a logitech m-u0007 to reproduce this issue with. With my setup the issue happens every time.

Steps to Reproduce:
1. Open GNOME Terminal
2. Open some text file with less
3. Try to scroll to the bottom and forward with mouse wheel

Actual results:

Pulseaudio will give out awfully loud "Boink" noise. It sounds like many many "Boink" noises are sent in a very tight interval from Terminal to PulseAudio. So it creates a very unpleasant experience.

This issue does not happen if I use keyboard for scrolling. Then I will just hear a single "Boink" that respects my audio settings.

Expected results:

GNOME Terminal implement the end of file sound handling in a better way for mouse wheel.

Additional info:

Should I try to somehow record a video with sound for this?
Comment 1 Egmont Koblinger 2017-07-17 08:25:02 EDT
When you're using "less", gnome-terminal has absolutely no idea that you're viewing a file, or what "end of file" means. What happens is that "less" knows when you hit end of file and asks the terminal to beep. The terminal receives a beep request (actually plenty of them) and obeys.

There could be some rate limiting on beeping frequency or something like that in gnome-terminal...
Comment 2 Veske 2017-07-17 09:04:36 EDT
Makes sense. If I try to do the same thing in VIM for instance then VIM will not send a lot of beep request to terminal - instead I hear one calm beep like it should be. 

Could it be that I should open an issue to less then and check if any other software does the same thing? Of course it would be nice for GNOME Terminal to also have some sort of sanity check in place for such scenario.
Comment 3 Egmont Koblinger 2017-07-17 10:08:39 EDT
It could be addressed in "less", but I guess gnome-terminal is a better place. "less" has no clue how long the beep is (and the limited frequency could depend on this), also with that approach way more software (tons of which have nothing to do with timing per se) would need to be modified.

By the way, there are other bug reports about gnome-terminal or pulseaudio (can't remember which) crashing due to way too frequent beeps.
Comment 4 Egmont Koblinger 2017-11-25 04:50:03 EST
Filed VTE feature request for rate limiting: https://bugzilla.gnome.org/show_bug.cgi?id=790815.
Comment 5 Fedora End Of Life 2018-05-03 05:01:37 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Debarshi Ray 2018-05-03 11:53:37 EDT
This is fixed in Fedora 28.

Note You need to log in before you can comment on or make changes to this bug.